Here is my OBS repository https://build.opensuse.org/package/s...c1236/quiterss
After messing around for 24 hours I got it to work.... for the most part

There are still 2 big problems for me:
1. Ubuntu 16.04 failed to build because of "have choice for qtbase5-dev .....", what does that mean?
I've setup Ubuntu VM on my computer for manual installing dependency and compiling, all turns out fine in my VM, so it's OBS problem but how can I solve it?
2. ARM builds failed with "unresolvable" because nothing provides needed packages?
I looked up packages and they should be available for ARM architecture.....